Find the answer to your Linux question:
Results 1 to 2 of 2
I cant seem to get Bon Echo 3.0 or Adobe Flash installed on DSL. Every time I try to start it from the dirctory it errors out saying "error while ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Apr 2010
    Posts
    1

    Question Damn Small Linux


    I cant seem to get Bon Echo 3.0 or Adobe Flash installed on DSL. Every time I try to start it from the dirctory it errors out saying "error while loading shared libraries: libgtk-11x-2.2.0.so.0: cannot open shared documnt file: No such file directory"

    Any help would be greatly appreciated

  2. #2
    Linux Guru reed9's Avatar
    Join Date
    Feb 2009
    Location
    Boston, MA
    Posts
    4,651
    DSL is based on a fairly old version of Debian, as I understand, and therefore the software in it is also very old. From the output, that version of Firefox requires the library libgtk version 2.2.0, however, DSL only has libgtk 1.2.10. DSL is no longer maintained so it is unlikely this will change.

    libgtk is required for many other programs, so if you were to try and build a more recent version, it would require rebuilding a huge chunk of your system against the newer version.

    I would suggest looking at other micro-distros for your system, such as Slitaz or TinyCore.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •